body{
    font-family: 'Roboto', sans-serif;
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    overflow-x: hidden;
}

.fondo{
    position: fixed;
    width: 100%;
    height: 100%;
    left: 0;
    bottom: 0;
    z-index: -1;
    background-repeat: no-repeat;
}

.logo{
    width: 150px;
}

#container{
    width: 100%;
    height: 100%;
    display: grid;
    background-color: black;
}


.img{
    display: flex;
    justify-content: flex-end;
    align-items: right;
    padding: 120px;
}

.img img{
    width: 500px;
}

.login-container{
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    text-align: center;
    background: black;
}

.formulario-container{
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    text-align: center;
    padding: 0 10rem;
    border: 2px solid #000;
    background-color: rgb(254, 254, 254,0.6);
}

#formulario-container{
    display: flex;
    align-items: center;
    text-align: center;
    padding: 20px;
}

.input-div{
    color: white;
    align-items: center;
    padding: 5px;
}

.form-row{
    margin-left: 45px;
}

.i{
    font-family: 'Roboto', sans-serif;
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;

}

.i i{
    color: #d9d9d9;
}

.input-div > div{
    position: relative;
    height: 45px;
}

a{
    text-decoration: none;
    display: block;
    text-align: center;
    color: #FFFFFF;
    font-size: 0.9rem;
    transition: .3s;
}

a:hover{
    color: #00ffaa;
}

/* Validación de formulario y registro */
label.is-invalid{
    color: red;
}

/* Formulario y registro */

.texto-centrado{
    display:table-cell;
    vertical-align:middle;
}

.estilo{
    width: 500px;
    height: 460px;
    position: relative;
    margin: auto;
    color: black;
    border: 2px solid #000;
    background-color: rgb(254, 254, 254,0.6);
    padding: 50px;
    border-radius: 10px;
    margin-top: 10px;
}

.estilo2{
    width: 500px;
    height: 700px;
    position: relative;
    margin: auto;
    color: black;
    border: 2px solid #000;
    background-color: rgb(254, 254, 254,0.6);
    padding: 100px;
    border-radius: 10px;
}

.bordeboton{
    position: center;
    padding-left: 40%;
    padding-top:40px;
    border-radius: 10px;
}

.form-estilo-formulario{
    height: 600px;
    align-content: center;
    margin: auto;
    background:crimson;
    padding: 100px;
}

.form-grupo{
    margin-bottom: 25px;
    color: #FFFFFF;
}

.form-grupo input{
    font-weight: 100px;
    height: 42px;
    border-radius: 10px;
    font-size: 18px;
}


/* Navegador */
nav{
    background-color: #003580;
}

nav a:hover{
    text-decoration: none;
    color: white;
}

.ayuda{
    color: #FFFFFF;
    text-align: right;
}

.titulo-login{
    margin: -50%;
    padding: 90px;
    color: #ffffff;
}

.titulo-formulario{
    color: #ffffff;
}


/* Carrusel */
.centrarfotos{
    height: 300px;
    margin: auto;
     
}
.centrarfotos1{
    width: 100%;
    height: 300px; 
}
.margintop{
    margin-top: 3%;
}

/* Miniaturas/Fotos */

.miniatura{
    width: 50%;
    height: auto;
}
.borderuwu{
    border: 2px solid #000;
    background-color: rgb(254, 254, 254,0.6);
}

.borderuwu2{
    height: 20px;
    padding: 6px;
    border: 2px solid #000;
    background-color: rgb(254, 254, 254,0.6);
}

.borderuwuimage{
    border: 1px solid #000;
}

.miniaturaxs{
    width: 10px;
    height: auto;
}